.sidebar{
    position: fixed;
    background: transparent;
    width: 400px;
    height: 100%;
    right: 0px;
    top: 0;
    transition: 0.5s;
    transform: translateX(400px);

    &--open &{
        transform: translateX(0);
    }

    &-tab{
        position: absolute;
        top: 54px;
        left: -32px;
        width: 40px;
        height: 92px;
        background: $color-neutral-0;
        border-radius: 32px 0 0 32px;
        box-shadow: -1px 1px 4px rgba(0, 0, 0, 0.05);


        &-button{
            width: 100%;
            height: 100%;
            border: none;
            background: transparent;
            color: $color-primary;
            font-size: 32px;
            transition: 0.5s;
        }

        .sidebar--open &-button{
            transform: rotateY(180deg);
        }
    }

    &-content{
        padding: 40px 48px;
        &-top{
            display: flex;
            justify-content: space-between;
            align-items: center;
        }
    }
}



